<?php

/*

 * Plugin Name: AI Content Writer WP

 * Description: AI Content Writer WP by SEOSARA revolutionizes WordPress content creation, merging SEOSARA.AI and OpenAI.com's technologies. This plugin offers Free and Upgraded versions, catering to diverse needs and ensuring standout blog posts and pages. To get started: activate the AI Content Writer WP plugin and then go to your AI Content Writer WP Settings page to enter your API key.

 * Version: 1.0

 * Author: SEOSARA.AI

 * License: GPL2

*/
add_action( 'wp_enqueue_scripts', 'seosara_wp_enqueue_bootstrap_for_saraID_pages' );
// Hook the function into wp_enqueue_scripts
function seosara_wp_enqueue_bootstrap_for_saraID_pages() {
        // Get the current post ID
        $post_id = get_queried_object_id();

     // Check if we're on a single page or post
    if ( !is_wp_error($post_id) ) {
       // Check if the current post has the 'saraID' custom meta
        $saraID = get_post_meta( $post_id, 'saraID', true );

        // If 'saraID' custom meta is set, enqueue Bootstrap
        if ( !empty( $saraID ) ) {
        		remove_filter( 'the_content', 'wpautop' );
            // Enqueue Bootstrap CSS
            wp_enqueue_style( 'bootstrap-css', 'https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css' );

            // Enqueue Bootstrap JS
            wp_enqueue_script( 'bootstrap-js', 'https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js', array( 'jquery' ), '', true );
            $js_path = plugin_dir_url(__FILE__) . 'assets/seosara.js';

            // Enqueue the script
            wp_enqueue_script('seosara-script', $js_path, array(), false, true);
        }
    }
}


if (is_admin()) {
    // Activation hook
    register_activation_hook(__FILE__, 'seosara_wp_activate_plugin');

    // Deactivation hook
    register_deactivation_hook(__FILE__, 'seosara_wp_deactivate_plugin');

    // Register and define the settings
    add_action('admin_init', 'seosara_wp_admin_init');
    // Hook into the option update action
    add_action('update_option_seosara_api_key', 'seosara_wp_after_api_key_save', 10, 2);
    add_action('update_option_seosara_post_type', 'seosara_wp_after_api_key_save', 10, 2);
    add_action('update_option_seosara_post_status', 'seosara_wp_after_api_key_save', 10, 2);
    add_action('update_option_seosara_email', 'seosara_wp_after_api_key_save', 10, 2);
	 add_action('admin_notices', 'seosara_wp_display_admin_notice');
	 add_action('admin_init', 'seosara_wp_redirect_after_activation');
	 add_action('current_screen', 'seosara_wp_check_current_seosara_screen');
	 add_action('pre_get_posts', 'seosara_wp_filter_pages_by_meta');
	 add_action('admin_menu', 'seosara_wp_seosara_add_settings_page');
	// Hook the function into the views_edit-page filter
	 add_filter('views_edit-page', 'seosara_wp_wpd_add_saraID_filter_link');
	 add_filter('views_edit-post', 'seosara_wp_wpd_add_saraID_filter_link_post');
	 // Hook into the 'plugin_action_links' filter.
	 add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'seosara_wp_add_action_links');

	require_once plugin_dir_path( __FILE__ ) . 'assets/admin-functions.php';

}	 
	 
